package cn.ey.biz.module.system.convert.field;

import cn.ey.biz.common.pojo.PageResult;
import cn.ey.biz.module.system.controller.admin.field.vo.FieldCreateReqVO;
import cn.ey.biz.module.system.controller.admin.field.vo.FieldExcelVO;
import cn.ey.biz.module.system.controller.admin.field.vo.FieldRespVO;
import cn.ey.biz.module.system.controller.admin.field.vo.FieldUpdateReqVO;
import cn.ey.biz.module.system.dal.dataobject.field.FieldDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 字段权限-字段列表 Convert
 *
 */
@Mapper
public interface FieldConvert {

    FieldConvert INSTANCE = Mappers.getMapper(FieldConvert.class);

    FieldDO convert(FieldCreateReqVO bean);

    FieldDO convert(FieldUpdateReqVO bean);

    FieldRespVO convert(FieldDO bean);

    List<FieldRespVO> convertList(List<FieldDO> list);

    PageResult<FieldRespVO> convertPage(PageResult<FieldDO> page);

    List<FieldExcelVO> convertList02(List<FieldDO> list);

}
